commit:     df6979f97a2c9440834e02118716b0d1b523f808
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sun May 31 20:48:19 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Jun 19 23:47:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df6979f9

app-crypt/tpm2-totp: Don't install static libs

Closes: https://bugs.gentoo.org/726494
Closes: https://github.com/gentoo/gentoo/pull/16037
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild | 35 +++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild 
b/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
new file mode 100644
index 00000000000..bafbd71fdc7
--- /dev/null
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Attest the trustworthiness of a device against a human using 
time-based OTP"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-totp";
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=app-crypt/tpm2-tss-2.0
+       media-gfx/qrencode:="
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               --disable-static
+               --disable-defaultflags
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to